Subject: Re: [ofa-general] [PATCH v2] iw_cxgb3: Support "iwarp-only" interfaces to avoid 4-tuple conflicts.

From: Steve Wise <[email-masked]>
Date: Sun, 23 Sep 2007 15:33:35 -0500

Sean Hefty wrote:
>> The iWARP driver must translate all listens on address 0.0.0.0 to the
>> set of rdma-only ip addresses for the device in question.  This prevents
>> incoming connect requests to the TCP ipaddresses from going up the
>> rdma stack.
> 
> I've only given this a high level review at this point, and while the 
> patch looks okay on first pass, is there a way to move some of this 
> functionality to either the rdma_cm or iw_cm?  I don't like the idea of 
> every iwarp driver having to implement address/listen list maintenance. 
>  I may have some ideas after re-examining it.
> 

Note: some rnic drivers might want to support this differently.  So 
maybe we don't want this in the iwcm yet until we see that more iwarp 
drivers need exactly the same functionality.

>> Implementation Details:
> 
> There are a couple of areas that I made a note to look at in more detail 
> (because I didn't understand everything that was happening), but I did 
> have one minor nit - most uses of list_del_init can just be list_del.
> 

fixed.